| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::ShadowTextureConfig Struct Reference
Core » Scene

Structure containing the configuration for one shadow texture. More...

`#include <OgreShadowTextureManager.h>`

## Public Member Functions
| ShadowTextureConfig ()

## Public Attributes
uint16 | depthBufferPoolId
PixelFormat | format
unsigned int | fsaa
unsigned int | height
unsigned int | width

## Detailed Description

Structure containing the configuration for one shadow texture.

## Constructor & Destructor Documentation

## ◆ ShadowTextureConfig()

Ogre::ShadowTextureConfig::ShadowTextureConfig | ( |  | ) |
| inline

## Member Data Documentation

## ◆ width

unsigned int Ogre::ShadowTextureConfig::width

## ◆ height

unsigned int Ogre::ShadowTextureConfig::height

## ◆ format

PixelFormat Ogre::ShadowTextureConfig::format

## ◆ fsaa

unsigned int Ogre::ShadowTextureConfig::fsaa

## ◆ depthBufferPoolId

uint16 Ogre::ShadowTextureConfig::depthBufferPoolId

The documentation for this struct was generated from the following file:

- OgreShadowTextureManager.h